Bug 635968 - Parallel port issue in RHEL 6.0 server
Summary: Parallel port issue in RHEL 6.0 server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Aristeu Rozanski
QA Contact: WANG Chao
URL:
Whiteboard:
Depends On:
Blocks: 713825 713827
TreeView+ depends on / blocked
 
Reported: 2010-09-21 07:42 UTC by rrh
Modified: 2018-11-14 12:26 UTC (History)
16 users (show)

Fixed In Version: kernel-2.6.32-156.el6
Doc Type: Bug Fix
Doc Text:
This update introduces parallel port printer support for Red Hat Enterprise Linux 6.
Clone Of:
Environment:
Last Closed: 2011-12-06 12:33:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1530 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2011-12-06 01:45:35 UTC

Description rrh 2010-09-21 07:42:23 UTC
Description of problem:While sending data to parallel port "Invalid argument”
error

Version-Release number of selected component (if applicable):RHEL 6.0 server 64 bit

Steps to Reproduce:
1. I  tried  “echo hello >  /dev/parport0 ”  to send data to parallel port ,I get the following error message “echo : write error :Invalid argument”. Sending data to  “/dev/lp0” gives following error message “/dev/lp0:No such device or address”.  

2. It works on RHEL-5.5 using  /dev/lp0 device   


Am I missing anything here or do I need to do any configuration for RHEL 6.0 to send data to parallel port.

Comment 2 RHEL Program Management 2011-01-07 04:16:04 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Suzanne Yeghiayan 2011-01-07 16:10:03 UTC
This request was erroneously denied for the current release of Red Hat
Enterprise Linux.  The error has been fixed and this request has been
re-proposed for the current release.

Comment 4 Michael Cronenworth 2011-03-15 16:30:28 UTC
Is there any update for this problem? The latest RHEL6 updates do not resolve it.

Comment 12 Phil Perry 2011-06-17 22:15:33 UTC
elrepo.org has the missing driver packaged as a kmod (kmod-lp) for rhel6:

http://elrepo.org
http://elrepo.org/tiki/kmod-lp

as documented in Michael's thread here:

https://www.redhat.com/archives/rhelv6-list/2011-June/msg00030.html

Comment 15 Aristeu Rozanski 2011-08-11 20:09:17 UTC
Patch(es) available on kernel-2.6.32-156.el6

Comment 18 Martin Prpič 2011-08-18 14:45:10 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This update introduces parallel port printer support for Red Hat Enterprise Linux 6.

Comment 19 errata-xmlrpc 2011-12-06 12:33:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1530.html

Comment 20 Red Hat Bugzilla 2013-10-04 00:25:01 UTC
Removing external tracker bug with the id 'DOC-56684' as it is not valid for this tracker


Note You need to log in before you can comment on or make changes to this bug.